<template>
  <form
    class="relative space-y-4"
    @submit.prevent="$emit('submit')"
  >
    <transition :duration="100">
      <template v-if="isLoading">
        <div class="absolute z-10 flex h-full w-full rounded bg-white">
          <CircleNotchSolidIcon class="mx-auto my-10 h-7 w-7 animate-spin fill-primary-500" />
        </div>
      </template>
    </transition>
    <slot />
  </form>
</template>

<script setup lang="ts">
import CircleNotchSolidIcon from "@/svg/icons/circle-notch-solid.svg?component";

defineProps<{
  isLoading?: boolean;
}>();

defineEmits<{
  submit: [];
}>();
</script>
